PREFIX=$(DESTDIR)/usr
MANEXT=8
all: daemon go

daemon:	daemon.c
	$(CC) -O2 -o daemon daemon.c

go: daemon
	ln -f daemon go

clean:
	rm -f *.o daemon go

install:
	install -c -s -o root -m 755 daemon $(PREFIX)/bin
	ln -f $(PREFIX)/bin/daemon $(PREFIX)/bin/go
	install -c -o root -m 444 -c daemon.8 go.8 $(PREFIX)/man/man$(MANEXT)
